Commits

camlspotter committed e8a85c4

added a simple build script

  • Participants
  • Parent commits f1c9ef5
  • Branches android

Comments (0)

Files changed (1)

+#!/bin/sh
+
+set -e
+
+HOST_OCAML_DIR=$HOME/.share/projects/ocaml/ocaml-custom
+
+# Prerequisit
+# - Host OCaml system must be built at $HOST_OCAML_DIR
+# - config/Makefile.config must be edited properly
+
+# Make tools written in C for the target and rename them
+(cd byterun; make all; mv ocamlrun ocamlrun.target)
+(cd yacc; make all; mv ocamlyacc ocamlyacc.target)
+
+# Replace the tools above by the host versions
+cp $HOST_OCAML_DIR/byterun/ocamlrun byterun
+cp $HOST_OCAML_DIR/yacc/ocamlyacc yacc
+
+make world opt